# sakai-info.rb
#   Base library file
#
# Created 2012-02-15 daveadams@gmail.com
# Last updated 2013-08-29 daveadams@gmail.com
#
# https://github.com/daveadams/sakai-info
#
# This software is public domain.
#

require 'yaml'
require 'json'
require 'rexml/document'
require 'base64'
require 'sequel'
require 'logger'

require 'sakai-info/version'
require 'sakai-info/exceptions'
require 'sakai-info/hacks'
require 'sakai-info/util'
require 'sakai-info/cache'

# baseline db connectivity
require 'sakai-info/database'

# base objects
require 'sakai-info/mod_props'
require 'sakai-info/sakai_object'
require 'sakai-info/sakai_xml_entity'

# sakai object classes
require 'sakai-info/user'
require 'sakai-info/site'
require 'sakai-info/page'
require 'sakai-info/tool'
require 'sakai-info/announcement'
require 'sakai-info/assignment'
require 'sakai-info/calendar'
require 'sakai-info/authz'
require 'sakai-info/content'
require 'sakai-info/gradebook'
require 'sakai-info/group'
require 'sakai-info/quiz'
require 'sakai-info/question_pool'
require 'sakai-info/generic_message'
require 'sakai-info/forum'
require 'sakai-info/private_message'
require 'sakai-info/alias'
require 'sakai-info/metaobj'
require 'sakai-info/wiki'
